Parameters
2 query
Query parameters
· 2filestringOptionalExample
example_filefolderstringOptionalExample
example_folderShare links and file requests, active first. Filter by file or folder.
2 query
filestringOptionalexample_filefolderstringOptionalexample_folder1 status code documented
sharesobject[]RequiredidstringRequiredurlstringRequiredmode"view" | "upload"Requiredstatus"active" | "expired" | "exhausted" | "revoked"RequiredtargetobjectRequiredtype"file" | "folder"RequiredidstringRequirednamestringRequiredpathstringRequiredtitlestringOptionalmessagestringOptionalhasPasswordbooleanRequiredexpiresDatestringOptionalmaxDownloadsnumberOptionaldownloadCountnumberRequireduploadCountnumberRequiredlastAccessDatestringOptionalinsertedDatestringRequiredcreatedBystringOptionalcontactobjectOptionalidstringRequirednamestringRequiredorderNumberstringOptional{
"shares": [
{
"id": "example_id",
"url": "example_url",
"target": {
"id": "example_id",
"name": "example_name",
"path": "example_path"
},
"title": "example_title",
"message": "example_message",
"hasPassword": false,
"expiresDate": "example_expiresDate",
"maxDownloads": 0,
"downloadCount": 0,
"uploadCount": 0,
"lastAccessDate": "example_lastAccessDate",
"insertedDate": "example_insertedDate",
"createdBy": "example_createdBy",
"contact": {
"id": "example_id",
"name": "example_name"
},
"orderNumber": "example_orderNumber"
}
]
}GET /bff/drive/shares
curl -X GET "https://api.bizkithub.com/bff/drive/shares?file=example_file&folder=example_folder" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"All BizKitHub public API endpoints require authentication via API key.